2016-08-22 11:01 AM - Giovanni Manghi

Status: Closed

Priority: Severe/Regression

Assignee: Giovanni Manghi

Category: Processing/GDAL

Affected QGIS version:2.16.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 23402

Description

ERROR 1: In ExecuteSQL(): sqlite3_prepare(SELECT ST_OffsetCurve( geometry , 2 ,1),* FROM 'lines' ): 

wrong number of arguments to function ST_OffsetCurve()

Associated revisions

Revision cac3b2dd - 2016-09-14 03:38 PM - Alexander Bruy

[processing] refactor offset curve GDAL algorithm (fix #15478)

Revision acc108a2 - 2016-09-14 04:29 PM - Alexander Bruy

[processing] refactor offset curve GDAL algorithm (fix #15478)

(cherry picked from commit cac3b2ddfa7c43239f1c9abc84c965340a5b74b5)

Revision e2c79910 - 2016-09-14 07:15 PM - Alexander Bruy

[processing] refactor offset curve GDAL algorithm (fix #15478)

(cherry picked from commit cac3b2ddfa7c43239f1c9abc84c965340a5b74b5)

History

#1 - 2016-08-28 04:37 PM - Jukka Rahkonen

According to https://www.gaia-gis.it/gaia-sins/spatialite-sql-latest.html the function takes two arguments:

ST_OffsetCurve( geom Curve , radius Double precision ) : Curve

#2 - 2016-09-01 03:04 AM - Giovanni Manghi

Jukka Rahkonen wrote:

According to https://www.gaia-gis.it/gaia-sins/spatialite-sql-latest.html the function takes two arguments:

ST_OffsetCurve( geom Curve , radius Double precision ) : Curve

2025-04-27 1/2

https://www.gaia-gis.it/gaia-sins/spatialite-sql-latest.html
https://www.gaia-gis.it/gaia-sins/spatialite-sql-latest.html


yes. When I added the tool it was working ok, then changes have been made (not by me) and something broke.

#3 - 2016-09-14 06:54 AM - Alexander Bruy

- Status changed from Open to Closed

Fixed in changeset commit:"cac3b2ddfa7c43239f1c9abc84c965340a5b74b5".
